Results 1 to 8 of 8

Thread: Gramps 4.0 fails to start.

Hybrid View

  1. #1

    Default Gramps 4.0 fails to start.

    Just updated to Gramps 4.0 from Gnome:apps repo. When I ran it from
    console after a failure to start, it came up with the following error:

    ResourcePath.ERROR: Resource Path /usr/share is invalid


    --
    Graham P Davis, Bracknell, Berks.
    openSUSE 12.3 (64-bit); KDE 4.10.3; AMD Phenom II X2 550 Processor;
    Kernel: 3.9.4; Video: nVidia GeForce 210 (using nouveau driver);
    Sound: ATI SBx00 Azalia (Intel HDA); Wireless: BCM4306

  2. #2
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Gramps 4.0 fails to start.

    Quote Originally Posted by Cloddy View Post
    Just updated to Gramps 4.0 from Gnome:apps repo. When I ran it from
    console after a failure to start, it came up with the following error:

    ResourcePath.ERROR: Resource Path /usr/share is invalid


    --
    Graham P Davis, Bracknell, Berks.
    openSUSE 12.3 (64-bit); KDE 4.10.3; AMD Phenom II X2 550 Processor;
    Kernel: 3.9.4; Video: nVidia GeForce 210 (using nouveau driver);
    Sound: ATI SBx00 Azalia (Intel HDA); Wireless: BCM4306
    Try the version from main repos.
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  3. #3
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,448

    Default Re: Gramps 4.0 fails to start.

    I had a similar problem with another program from Gnome: apps and went back to the main version.

  4. #4
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Gramps 4.0 fails to start.

    The dependencies are probably not well established as Gramps 3.X pulls in few dependencies but 4.X pulls in "none"
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  5. #5

    Default Re: Gramps 4.0 fails to start.

    On Mon, 27 May 2013 08:36:02 GMT
    vazhavandan <vazhavandan@no-mx.forums.opensuse.org> wrote:

    >
    > Cloddy;2560493 Wrote:
    > > Just updated to Gramps 4.0 from Gnome:apps repo. When I ran it from
    > > console after a failure to start, it came up with the following
    > > error:
    > >
    > > ResourcePath.ERROR: Resource Path /usr/share is invalid
    > >

    >
    > Try the version from main repos.
    >


    That has been working. Problem is, I might be regressing to a release
    earlier than what I've been using successfully. Reason is that updates
    to Gnome applications I use tend to appear on Gnome:apps and then
    progress no further; they don't move to factory let alone OSS. So, a
    bugfix appears on Gnome:apps and then gets overwritten later by a new
    version, leaving the un-bugfixed version on OSS and, in this case, a
    dysfunctional version on Gnome:apps.

    I'll raise a bug report on the 4.0 failure and I reckon I'll have to
    have a gripe elsewhere about correct procedures not being followed for
    updating Gnome applications.

    --
    Graham P Davis, Bracknell, Berks.
    openSUSE 12.3 (64-bit); KDE 4.10.3; AMD Phenom II X2 550 Processor;
    Kernel: 3.9.4; Video: nVidia GeForce 210 (using nouveau driver);
    Sound: ATI SBx00 Azalia (Intel HDA); Wireless: BCM4306

  6. #6
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Gramps 4.0 fails to start.

    Just installed Gramps 4 from Gnome:Apps to 12.3/KDE 4.10.2 only, and get exactly the same error starting it in Konsole.

  7. #7
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Gramps 4.0 fails to start.

    Quote Originally Posted by vazhavandan View Post
    Try the version from main repos.
    For information, I removed Gramps 4.0 and installed 3.4.2 from the main oss repo. Seems to work well enough, certainly compared to 3.4.0 (12.2's version) which was released from upstream with a very bad rendering bug.

  8. #8
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Gramps 4.0 fails to start.

    Quote Originally Posted by Cloddy View Post
    Just updated to Gramps 4.0 from Gnome:apps repo. When I ran it from
    console after a failure to start, it came up with the following error:

    ResourcePath.ERROR: Resource Path /usr/share is invalid


    --
    Graham P Davis, Bracknell, Berks.
    openSUSE 12.3 (64-bit); KDE 4.10.3;
    Assuming you are trying to run it on KDE (and 4.10.3 is not standard for 12.3), take a look at the Gramps release notes. IIRC from the changes shown on OBS, when run on KDE it needs a gtk3 theme to be installed. That may or may not be the cause of your problem, but at least it suggests to me that running it on KDE is not as straightforward as it should be on 12.3's Gnome 3. Another indicator of packaging issues, are the failures to build on any release below 12.3, so the dependencies are probably pretty inflexible.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •